﻿using System;
using System.ComponentModel;
using System.Windows;
using System.Collections.ObjectModel;

namespace UpdateSubObject
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Window1_Loaded);
        }

        public BindingList<Employee> myEmployees;
        
        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
           this.XamDataGrid1.FieldLayoutSettings.AutoGenerateFields = false;
            
           myEmployees= this.GetEmployees();
           this.XamDataGrid1.DataSource = myEmployees;
        }

        public BindingList<Employee> GetEmployees()
        {
            BindingList<Employee> employees = new BindingList<Employee>();
            for (int i = 0; i < 2; i++)
            {
                Employee e = new Employee(i, "Hi", true, DateTime.Now, 1, "on");
                employees.Add(e);
            }

            return employees; 
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            
            myEmployees[2].ReadyState.IsReady = !myEmployees[2].ReadyState.IsReady;
            myEmployees[2].EmployeeID = myEmployees[2].EmployeeID + 1;
        }
       
    }
}
